@import "src/styles";

.radio-button{
    cursor: pointer;
    display: flex;
    border: none;
    background-color: transparent;
    padding: 0;
    align-items: center;

    .box{
        background-color: $color-soft-blue;
        height: 16px;
        width: 16px;
        margin-right: 8px;
        border-radius: 100%;
        border: 4px solid transparent;
    }

    &:focus-visible{
        outline: 2px solid darken($color-teal,10);
        outline-offset: 2px;
    }
    &.active{
        cursor: auto;
        .box{
            background-color: $color-dark-blue;
            border: 4px solid $color-soft-blue;            
        }
    }
}